Create Hourly Report Root Preset

Create a new hourly report root preset. Token scopes: timesheets:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
titlestringRequired<=255 characters

The title of the hourly report root preset (maximum 255 characters)

filestring or nullOptionalformat: "binary"
Optional file attachment for the root preset
typeenumOptional

The type of preset, RATE – indicates a preset that overrides the default contract rate, TRACKING - used exclusively for tracking, applying the default contract rate

Allowed values:
descriptionstringOptional<=30000 characters

Detailed description of the root preset’s purpose and usage (maximum 30000 characters)

hourly_report_presetslist of objectsOptional
Array of preset configurations to be created along with the root preset
hourly_report_presets_processing_typeenumOptionalDefaults to SYNC
Determines whether presets should be processed synchronously or asynchronously
Allowed values:

Response

Successful operation.
dataobject

Errors